$(function(){
	$('.addSure').removeClass("loadingCircle");

	// if( $("#type").val() == 'update' ){
	// 	if( $('#referenceId').val() == 'true' ){
	// 		$("#initialAmount,#currency").prop('disabled',true)
	// 	}
	// };

	$('[name=status]').val($('[name=statusValue]').val())
	// function getCompany() {
	// 	$.ajax({
	// 		url: '/platform/list',
	// 		type: 'get',
	// 		data: {},
	// 		async: false,
	// 		success: function (data) {
	// 			if (data.success) {
	// 				$("[name=companyBelong]").empty();
	// 				for (var i = 0; i < data.data.length; i++) {
	// 					$("#companyOwnership").append('<option value="'+data.data[i].id+'">'+data.data[i].platformName+'</option>')
	// 				}
	// 				;
	// 				i = null;
	// 				if($("[name=companyId]").length) {
	// 					$("#companyOwnership").val($("[name=companyId]").val())
	// 				}
	// 			} else {
	// 				new $.zui.Messager('获取选项失败:' + data.msg, {
	// 					type: 'danger'
	// 				}).show();
	// 			}
	// 			;
	// 		},
	// 		error: function (status) {
	// 			new $.zui.Messager('获取选项出错:' + status, {
	// 				type: 'danger'
	// 			}).show();
	// 		}
	// 	});
	// }
	// getCompany()
	if($("[name=companyId]").length) {
		$("#companyOwnership").val($("[name=companyId]").val())
	}

	//生效日期
	$('#effectiveDate').datetimepicker(
		{
			weekStart: 1,
		    autoclose: 1,
		    todayHighlight: 0,
		    startView: 2,
		    minView: 2,
		    forceParse: 0,
		    showMeridian: 1,
		    startDate:'1970-01-01',
		    endDate:'2116-12-31',
		    format: "yyyy-mm-dd"
		}
	);
	$('#effectiveDate').datetimepicker('setStartDate','1970-01-01');
	$('#effectiveDate').datetimepicker('setEndDate','2116-12-31');

	//日期输入框可删除
	$('.deleteTime').each(function(i,ele){
		$(ele).prev().change(function(){
			if( $(this).val()!=='' ){
				$(ele).show();
				//日期有值时去掉验证效果
				$("#effectiveDate").removeClass('error');
				$("#effectiveDate-error").hide();
			}else{
				$(ele).hide();
			}
		});
		$(ele).prev().change();
	});
	$('.deleteTime').click(function(){
		$(this).parent().find('#effectiveDate').val('');
		$(this).hide();
	});

	//新增时默认币种人民币
	if( $("#type").val()=='add' ){
		$("#currency").val($("#currency").find('[code=CNY]').attr("value"));
	};

	//修改时处理期初数值
	$('#initialAmount').val( commaDelimiter($('#initialAmount').val()) );

	//添加逗号分隔符
	$("#initialAmount").keyup(function(){
		$(this).val( commaDelimiter($(this).val()));
	});

	// 验证不能存在银行名称和卡号同时相同的数据
	function validBankNameNo(){
		var validData = {
			'bankName':$('[name=bankName]').val(),
			'bankCardNo':$('[name=bankCardNo]').val()
		};
		if( $("#type").val()=='update' ){
			validData.id = $("[name=id]").val()
		};
		var validFlag = false;
		$.ajax({
			url:'/bankAccountInfo/do_validateBankCardNo',
			type:'get',
			async:false,
			data:validData,
			success:function(data){
				if( data.success ){
					if( data.data ){
						validFlag = true;
					}
				}
			},
			error:function(status){

			}
		});
		return validFlag;
	};

	//表单验证
	function bankAccountInfoFormValid(e){
		$("#addUpdateBankAccountInfoForm").validate({
			promptPosition : "bottomLeft",
			submitHandler : function(form) {
				// if( !validBankNameNo() ){
				// 	new $.zui.Messager('该银行卡号已存在，请重新输入', {
				// 		type: 'danger'
				// 	}).show();
				// 	return;
				// };

				var formurl = '',tipword = '',formchoose = '';
				if( $("#type").val()=='add' ){
					formurl = '/bankCardInfoSet/doAdd';
					tipword = '新增';
					formchoose = '#myModal-addBankAccountInfo';
				}else{
					formurl = '/bankCardInfoSet/doUpdate';
					tipword = '修改';
					formchoose = '#myModal-updatebankCardInfoSetInfo'
				};
				var postdata = {
					'token':$("[name=token]").val(),
					'companyBelong':$("#companyOwnership").val(),
					'bankName':$("#bankName").val(),
					'bankAccount':$("#bankCardNo").val(),
					'effectiveDate':$("[name=effectiveDate]").val(),
					'beginValue':$("#initialAmount").val().split(',').join(''),
					'currency':$("#currency").val(),
					'status':$("#status").val()=='1'?1:0,
					'remark':$("#remark").val()
				};
				if( $("#type").val()=='update' ){
					postdata.id = $("[name=id]").val();
					postdata.reference = $("#referenceId").val();
				};
				if( $('type').val()=='add' ){
					postdata.reference = false;
				};
				$('.addSure').addClass("loadingCircle");
				$.ajax({
					url:formurl,
					type:'post',
					data:postdata,
					success:function(data){
						if( data.success ){
							new $.zui.Messager(tipword+'银行账户信息成功', {
								type: 'success'
							}).show();
							$('.addSure').removeClass("loadingCircle");
							//关闭弹框
							$(formchoose).modal("hide");
							//弹框被隐藏, 且过渡效果执行完毕
							$(formchoose).on('hidden.zui.modal', function(){
								//刷新表格
								$(".yk_rightcontent").load('/bankCardInfoSet/list');
							});
						}else{
							new $.zui.Messager(tipword+'银行账户信息失败:'+ data.msg, {
								type: 'danger'
							}).show();
							$('.addSure').removeClass("loadingCircle");
						}
					},
					error:function(status){
						new $.zui.Messager(tipword+'银行账户信息时出错:'+status, {
							type: 'danger'
						}).show();
						$('.addSure').removeClass("loadingCircle");
					}
				})
			},
			rules : {
				'companyOwnership.id':{//公司归属
					required : true
				},
				'bankName':{//银行名称
					required : true,
					maxlength:30
				},
				'bankCardNo':{//银行卡号
					required : true,
					bankNoValid:true
				},
				'effectiveDate':{//生效日期
					required: true
				},
				'initialAmount':{//期初数值
					required : true,
					decimalLengthValid:true,
					decimalNumberValid:true,
					decimalPointValid:true
				},
				'currency.id':{//币种
					required:true
				},
				'status':{//状态
					required:true
				},
				'remark':{//备注
					maxlength:300
				}
			},
			messages : {
				'companyOwnership.id':{
					required : "请选择公司归属"
				},
				'bankName':{
					required : "请输入银行名称",
					maxlength:$.validator.format("最多只能输入{0}个字符")
				},
				'bankCardNo':{
					required : "请输入银行卡号"
				},
				'effectiveDate':{//生效日期
					required: "请选择生效日期"
				},
				'initialAmount':{
					required : "请输入期初数值"
				},
				'currency.id':{
					required : "请输入币种"
				},
				'status':{
					required:"状态不能为空"
				},
				'remark':{
					maxlength:"最多只能输入{0}个字符"
				}
			}
		})
	};
	bankAccountInfoFormValid();

	//确定保存按钮
	$(".addSure").click(bankAccountInfoFormValid);

})
